/*
CSE 391
This main program uses the data and io modules

To compile:
gcc -c data.c
gcc -c io.c
gcc -c main.c
gcc -o project1 main.o data.o io.o
*/

#include <stdio.h>
#include <stdlib.h>
#include "data.h"
#include "io.h"

#define IO_SIZE 20

int main(void) {
    DataRec *data1 = (DataRec *) malloc(sizeof(DataRec));
    data1->val = 7;
    data1->min = 5;
    data1->max = 15;

    DataRec *data2 = (DataRec *) malloc(sizeof(DataRec));
    data2->val = 2;
    data2->min = 3;
    data2->max = 10;

    data_print(data1);
    if (validate_data(data2) == 0)
      printf("data2 is invalid\n");
    else
      printf("data2 is valid\n");
    char  *user_info = (char *) malloc(IO_SIZE);
    get_input(user_info);
    print_output(user_info);
    
    return 0;
}
